Bug 1024838 - packagedb-cli: Use Python 3 instead of Python 2
Summary: packagedb-cli: Use Python 3 instead of Python 2
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: packagedb-cli
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1024840
Blocks: PYTHON3-UPSTREAM
TreeView+ depends on / blocked
 
Reported: 2013-10-30 13:46 UTC by Miro Hrončok
Modified: 2019-10-15 13:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-15 13:07:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1530703 None CLOSED Drop the dependency on packagedb-cli 2019-10-15 13:06:43 UTC

Internal Links: 1530703

Description Miro Hrončok 2013-10-30 13:46:10 UTC
Hi, we would like to use Python 3 on the default installation instead of Python 2 on Fedora 22.

https://fedoraproject.org/wiki/Changes/Python_3_as_Default

While this package is not in minimal buildroot, it belongs to fedora-packager stack. We would like to switch to Python 3 there as well.

The goal here is, that for F22 you should use Python 3 instead of Python 2 in this package.

Please, help us update to Python 3 flawlessly.

Check if upstream already support Python 3, if yes, use it and add the support to the package.

If upstream doesn't support Python 3 yet, encourage it to do so by sending patches and offering your help.

When upstream is dead or unwilling to support Python 3, say so and we can solve the problem together.

Chances are, that you ARE the upstream. In that case, everything is easier, just do it yourself.

There is a table on wiki, that should list your package. Chances are, that you can see an upstream link that covers the problem. Anyway, please update the table with information you know.

https://fedoraproject.org/wiki/User:Churchyard/python3#fedora-packager

I offer my help with this task, so if you have no idea, how to work on this, or it is just not your priority, don't hesitate to ask for help.

(As you've already realized, this is a bulk text, so if something is not quite exact about your package, sorry for that, just ask)

Comment 1 Pierre-YvesChibon 2014-03-26 13:39:15 UTC
So with the update to pkgdb2, pkgdb-cli should be easily portable to python3 but blocks on 2 points:

* It requires a python3-fedora package
* Either wait for EL5 to be EOL'd or stop supporting it

Comment 2 Miro Hrončok 2014-03-26 15:12:47 UTC
I'd go with stop supporting it. How many Fedora packagers are running EL5? Or we could ask on devel, if we really want to be sure.

Comment 3 Pierre-YvesChibon 2014-03-26 18:40:12 UTC
Maybe just release the first one or two versions in el5, then make the switch.

This way at least EL5 users will have a pkgdb2 compatible pkgdb-cli

Comment 4 Miro Hrončok 2014-03-27 10:52:59 UTC
If you are consider the API of pkgdb2 stable, then that makes sense.

Comment 5 Jaroslav Reznik 2015-03-03 15:10:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 6 Fedora End Of Life 2016-07-19 10:32:41 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Jan Kurik 2016-07-26 04:54:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 8 Fedora End Of Life 2017-11-16 18:49:39 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Petr Viktorin 2017-12-02 14:00:11 UTC
Still valid – but python3-fedora exists now.

Comment 10 Miro Hrončok 2018-03-05 20:20:11 UTC
I wonder whether packagedb-cli should still block PY3PACKAGER.

Currently fedora-packager-0.6.0.1-4.fc28 still requires packagedb-cli.

However, is it **actually** required?

Comment 11 Pierre-YvesChibon 2018-03-06 08:29:01 UTC
I don't think it is anymore no, we could drop the requirement.

Comment 13 Miro Hrončok 2018-08-29 16:19:43 UTC
The PR is there, stalled for months.

Comment 14 Fedora Update System 2018-09-04 21:17:16 UTC
fedora-packager-0.6.0.2-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9eee09ffa4

Comment 15 Fedora Update System 2018-09-04 21:17:47 UTC
fedora-packager-0.6.0.2-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5d75107ae2

Comment 16 Fedora Update System 2018-09-04 21:18:14 UTC
fedora-packager-0.6.0.2-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a3fa7fa5da

Comment 17 Miro Hrončok 2018-09-04 21:18:54 UTC
Thanks for merging that PR, however that does not solve this bug. It merely unblocks PY3PACKAGER.

Comment 18 Fedora Update System 2018-09-04 21:19:49 UTC
fedora-packager-0.6.0.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a55a6a779c

Comment 19 Miro Hrončok 2018-09-04 21:21:04 UTC
I've edited the updates to list bz1530703 instead of this one.

Comment 20 Anatoli Babenia 2018-11-07 02:07:01 UTC
Looks like it is blocking Bodhi from being Python 3 - http://fedora.portingdb.xyz/pkg/bodhi/

Comment 21 Ben Cotton 2018-11-27 13:38:04 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 22 Ben Cotton 2018-11-30 23:41:15 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 23 Ben Cotton 2019-02-19 17:12:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.

Comment 24 Petr Viktorin 2019-10-15 13:07:41 UTC
The package was retired.


Note You need to log in before you can comment on or make changes to this bug.